View Issue Details

IDProjectCategoryView StatusLast Update
0027950LazarusOtherpublic2018-07-17 00:10
ReporterdonovalyAssigned ToMaxim Ganetsky 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformwinOSwinOS Versionwin 7
Product Version1.4Product Build 
Target VersionFixed in Version1.6 
Summary0027950: compiler warnings when compiling leakview with Laz 1.4.0 under Win
DescriptionWith a fresh installation of Lazarus 1.4.0 on a Windows PC just open a project of your choice and compile it. The result are compiler warnings and hints that should be fixed (also the hints deserve attention):

Compiling package leakview 1.0: Success, Warnings: 2, Hints: 6
dbginforeader.pas(51,2) Warning: User defined: This code is not thread-safe, and needs improvement
dbginforeader.pas(154,3) Hint: Converting the operands to "Int64" before doing the add could prevent overflow errors.
dbginforeader.pas(467,17) Hint: Converting the operands to "QWord" before doing the add could prevent overflow errors.
dbginforeader.pas(613,27) Hint: Converting the operands to "Int64" before doing the subtract could prevent overflow errors.
dbginforeader.pas(725,2) Warning: User defined: This code is not thread-safe, and needs improvement
dbginforeader.pas(840,6) Hint: Converting the operands to "Int64" before doing the add could prevent overflow errors.
dbginforeader.pas(849,6) Hint: Converting the operands to "Int64" before doing the add could prevent overflow errors.
dbginforeader.pas(855,6) Hint: Converting the operands to "Int64" before doing the add could prevent overflow errors.
TagsNo tags attached.
Fixed in Revision
LazTarget-
Widgetset
Attached Files

Activities

donovaly

2016-02-23 02:12

reporter   ~0090202

I can no longer reproduce my bug with Lazarus 1.6.0. Please close this bug report.

Maxim Ganetsky

2016-02-23 12:15

developer   ~0090231

Resolved at reporter's request.

Issue History

Date Modified Username Field Change
2015-04-24 02:30 donovaly New Issue
2016-02-23 02:12 donovaly Note Added: 0090202
2016-02-23 12:15 Maxim Ganetsky LazTarget => -
2016-02-23 12:15 Maxim Ganetsky Note Added: 0090231
2016-02-23 12:15 Maxim Ganetsky Status new => resolved
2016-02-23 12:15 Maxim Ganetsky Fixed in Version => 1.6
2016-02-23 12:15 Maxim Ganetsky Resolution open => fixed
2016-02-23 12:15 Maxim Ganetsky Assigned To => Maxim Ganetsky